--- a/src/libsodium/Makefile.am
+++ b/src/libsodium/Makefile.am
@@ -14,6 +14,7 @@ libsodium_la_SOURCES = \
 	crypto_box/crypto_box_easy.c \
 	crypto_box/crypto_box_seal.c \
 	crypto_box/curve25519xsalsa20poly1305/box_curve25519xsalsa20poly1305.c \
+	crypto_core/ed25519/core_ed25519.c \
 	crypto_core/ed25519/core_h2c.c \
 	crypto_core/ed25519/core_h2c.h \
 	crypto_core/ed25519/ref10/ed25519_ref10.c \
@@ -155,7 +156,6 @@ if !MINIMAL
 libsodium_la_SOURCES += \
 	crypto_box/curve25519xchacha20poly1305/box_curve25519xchacha20poly1305.c \
 	crypto_box/curve25519xchacha20poly1305/box_seal_curve25519xchacha20poly1305.c \
-	crypto_core/ed25519/core_ed25519.c \
 	crypto_core/ed25519/core_ristretto255.c \
 	crypto_kdf/hkdf/kdf_hkdf_sha256.c \
 	crypto_kdf/hkdf/kdf_hkdf_sha512.c \
--- a/src/libsodium/include/sodium.h
+++ b/src/libsodium/include/sodium.h
@@ -16,6 +16,7 @@
 #include "sodium/crypto_auth_hmacsha512256.h"
 #include "sodium/crypto_box.h"
 #include "sodium/crypto_box_curve25519xsalsa20poly1305.h"
+#include "sodium/crypto_core_ed25519.h"
 #include "sodium/crypto_core_hsalsa20.h"
 #include "sodium/crypto_core_hchacha20.h"
 #include "sodium/crypto_core_salsa20.h"
@@ -58,7 +59,6 @@
 
 #ifndef SODIUM_LIBRARY_MINIMAL
 # include "sodium/crypto_box_curve25519xchacha20poly1305.h"
-# include "sodium/crypto_core_ed25519.h"
 # include "sodium/crypto_core_ristretto255.h"
 # include "sodium/crypto_kdf_hkdf_sha256.h"
 # include "sodium/crypto_kdf_hkdf_sha512.h"
